## bootsidemenu.js 2.2.2

=== Makefile ===
JS = dist/BootSideMenu.js dist/BootSideMenu.min.js
CSS = dist/BootSideMenu.css dist/BootSideMenu.min.css
THEMES = $(patsubst css/%, dist/%, $(wildcard css/theme/*.css))
THEMES := $(THEMES) $(THEMES:%.css=%.min.css)

all: $(JS) $(CSS) $(THEMES)

dist/BootSideMenu.js: js/BootSideMenu.js | dist
	cp $< $@

dist/BootSideMenu.min.js: js/BootSideMenu.js | dist
	terser $< -o $@

dist/BootSideMenu.css: css/BootSideMenu.css | dist
	cp $< $@

dist/BootSideMenu.min.css: css/BootSideMenu.css | dist
	cleancss $< -o $@

dist/theme/%.css: css/theme/%.css | dist/theme
	cp $< $@

dist/theme/%.min.css: css/theme/%.css | dist/theme
	cleancss $< -o $@

dist dist/theme:
	mkdir -p $@

clean:
	rm -rf dist

## bootsidemenu.js 1.0.0

=== debian/changelog ===
bootsidemenu.js (1.0.0-2) unstable; urgency=medium

  * Source-only upload for transition to testing.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 25 Dec 2021 21:47:09 -0500

bootsidemenu.js (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #960097)

 -- Doug Torrance <dtorrance@debian.org>  Tue, 30 Nov 2021 22:05:56 -0500

=== debian/control ===
Source: bootsidemenu.js
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Build-Depends: cssmin, debhelper-compat (= 13), uglifyjs
Standards-Version: 4.6.0
Homepage: https://andrealombardo.github.io/BootSideMenu/
Vcs-Git: https://salsa.debian.org/js-team/bootsidemenu.js.git
Vcs-Browser: https://salsa.debian.org/js-team/bootsidemenu.js
Rules-Requires-Root: no

Package: libjs-bootsidemenu
Architecture: all
Depends: ${misc:Depends}
Recommends: fonts-font-awesome,
            javascript-common,
            libjs-bootstrap,
            libjs-jquery
Description: jQuery plugin to easily build a sliding menu
 BootSideMenu is a jQuery plugin to easily build a sliding menu in a
 Bootstrap based application.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	cd js; uglifyjs -o BootSideMenu.min.js BootSideMenu.js
	cd css; cssmin < BootSideMenu.css > BootSideMenu.min.css

=== debian/watch ===
version=4
https://github.com/AndreaLombardo/BootSideMenu/tags \
.*/v@ANY_VERSION@@ARCHIVE_EXT@

## bootsidemenu.js 2.2.1

=== debian/changelog ===
bootsidemenu.js (2.2.1-2) unstable; urgency=medium

  * Source-only upload for transition to testing.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 08 Jan 2026 10:04:24 -0500

bootsidemenu.js (2.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Use fork maintained by the Macaulay2 developers for use by the
      Visualize package, as the original upstream version is no longer
      maintained.
    - Bootstrap 5 is now supported.
    - A node module (@macaulay2/boot-side-menu) is now available.
    - The html documentation is no longer distributed.
  * Add new node-macaulay2-boot-side-menu binary package for the node
    module.
  * debian/clean
    - Remove file; cleanup now handled by the execute_after_dh_auto_clean
      target in d/rules.
  * debian/control
    - Remove Priority field; "optional" is now the default.
    - Remove redundant Rules-Requires-Root field.
    - Bump Standards-Version to 4.7.3.
    - Update Homepage field.
    - Add dh-nodejs and dh-sequence-nodejs to Build-Depends for building
      the node module.
    - Swap cssmin and uglifyjs in Build-Depends with cleancss and terser,
      as these are the tools now used by upstream for minification.
    - Add Testsuite field for autopkgtest-pkg-nodejs.
    - Bump libjs-bootstrap -> libjs-bootstrap5 in Recommends.
  * debian/copyright
    - Update my copyright years.
  * debian/doc-base
    - Remove file since there is no more html documentation.
  * debian/docs
    - Remove file; doc installation now handled by dh_nodejs_autodocs.
  * debian/examples
    - Remove file; examples are no longer shipped.
  * debian/libjs-bootsidemenu.install
    - Update paths of files to install.
  * debian/nodejs/build
    - New file; use dh-nodejs for build.
  * debian/patches/privacy-breach.patch
    - Remove patch; no longer necessary as html documentation has been
      removed.
  * debian/README.Debian
    - New file; add link to online documentation since it is no longer
      shipped with the package.
  * debian/rules
    - Add execute_after_dh_auto_clean target to clean up generated files.
    - Drop override_dh_auto_build target: build is now handled by
      dh-nodejs.
    - Add execute_after_dh_installdocs target to run dh_nodejs_autodocs.
  * debian/upstream/metadata
    - Update URL's.
  * debian/watch
    - Update with new URL

 -- Doug Torrance <dtorrance@debian.org>  Sat, 03 Jan 2026 22:32:17 -0500

bootsidemenu.js (1.0.0-3) unstable; urgency=medium

  [ Yadd ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Add debian/gbp.conf

  [ Debian Janitor ]
  * Apply multi-arch hints. + libjs-bootsidemenu: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Dec 2022 13:54:44 +0000

=== debian/control ===
Source: bootsidemenu.js
Section: javascript
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: cleancss,
               debhelper-compat (= 13),
               dh-nodejs,
               dh-sequence-nodejs,
               terser
Standards-Version: 4.7.3
Homepage: https://github.com/d-torrance/BootSideMenu
Vcs-Git: https://salsa.debian.org/js-team/bootsidemenu.js.git
Vcs-Browser: https://salsa.debian.org/js-team/bootsidemenu.js

Package: libjs-bootsidemenu
Architecture: all
Depends: ${misc:Depends}
Recommends: fonts-font-awesome,
            javascript-common,
            libjs-bootstrap5,
            libjs-jquery
Multi-Arch: foreign
Description: jQuery plugin to easily build a sliding menu (browser)
 BootSideMenu is a jQuery plugin to easily build a sliding menu in a
 Bootstrap based application.

Package: node-macaulay2-boot-side-menu
Architecture: all
Depends: ${misc:Depends}
Recommends: node-bootstrap5, node-fortawesome-fontawesome-free, node-jquery
Multi-Arch: foreign
Description: jQuery plugin to easily build a sliding menu (node module)
 BootSideMenu is a jQuery plugin to easily build a sliding menu in a
 Bootstrap based application.

=== debian/watch ===
version=4
https://github.com/d-torrance/BootSideMenu/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@

## bootsidemenu.js 2.2.2

=== debian/changelog ===
bootsidemenu.js (2.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 07 Feb 2026 21:35:47 -0500

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_clean:
	$(MAKE) clean

execute_after_dh_installdocs:
	dh_nodejs_autodocs
